Bug 720085 - Review Request: perl-Net-FTP-AutoReconnect - FTP client class with automatic reconnect on failure
Summary: Review Request: perl-Net-FTP-AutoReconnect - FTP client class with automatic ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Richard Shaw
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 627373
TreeView+ depends on / blocked
 
Reported: 2011-07-09 04:42 UTC by Bernard Johnson
Modified: 2014-08-22 12:14 UTC (History)
3 users (show)

Fixed In Version: perl-Net-FTP-AutoReconnect-0.3-3.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-02 01:54:55 UTC
Type: ---
hobbes1069: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Bernard Johnson 2011-07-09 04:42:06 UTC
Spec URL: http://fedorapeople.org/~bjohnson/perl-Net-FTP-AutoReconnect.spec
SRPM URL: http://fedorapeople.org/~bjohnson/perl-Net-FTP-AutoReconnect-0.3-1.fc14.src.rpm
Description: This is a FTP client class with automatic reconnect on failure.


$ rpmlint perl-Net-FTP-AutoReconnect.spec mock-results/*rpm
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
$

Comment 1 Bernard Johnson 2011-07-18 04:56:15 UTC
Spec URL: http://fedorapeople.org/~bjohnson/perl-Net-FTP-AutoReconnect.spec
SRPM URL:
http://fedorapeople.org/~bjohnson/perl-Net-FTP-AutoReconnect-0.3-2.fc14.src.rpm

* Sun Jul 17 2011 Bernard Johnson <bjohnson@symetrix.com> - 0.3-2
- add test cases for doc

Comment 2 Damian L Brasher 2011-07-18 11:58:13 UTC
Confirmed OK.

SRPM
rpmlint perl-Net-FTP-AutoReconnect-0.3-2.fc14.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

SPEC
rpmlint perl-Net-FTP-AutoReconnect.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

I'm a new reviewer, so if these comments are mis-placed please bear with me.

The %defattr(-,root,root,-) section could be removed. This is now default so
will be ignored. (See Packaging Guidelines, section File Permissions)

Not a MUST, but I was unable to find the Licence files in Net-FTP-AutoReconnect-0.3.tar.gz

Regards

Damian

Comment 3 Richard Shaw 2011-07-18 13:26:56 UTC
I'll take this one. This is my first Perl module so bear with me.

Standard question: Will this be built for EPEL 5?

Comment 4 Bernard Johnson 2011-07-18 14:26:03 UTC
(In reply to comment #2)
> The %defattr(-,root,root,-) section could be removed. This is now default so
> will be ignored. (See Packaging Guidelines, section File Permissions)

The intention is to push this package back as far as RHEL 4 which only has RPM
4.3.x.  I'd like it to still build correctly on any platform version that it's
pushed to.

> I was unable to find the Licence files in Net-FTP-AutoReconnect-0.3.tar.gz

There is no individual license file.  The license is in
lib/Net/FTP/AutoReconnect.pm under "Copyright".

(In reply to comment #3)
> Standard question: Will this be built for EPEL 5?

The intention is to push it into both RHEL 4/5.

Comment 5 Richard Shaw 2011-07-18 14:47:14 UTC
Spec review results:

Everything looked good but I have some questions about the %files section:
"""
%files
%defattr(-,root,root,-)
%doc
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*
%doc t
"""

1. Is there something special about having two %doc sections, one of which is blank?

2. Is "%{perl_vendorlib}/*" appropriate?
"""
$ rpm -qlp perl-Net-FTP-AutoReconnect-0.3-2.fc14.noarch.rpm
/usr/share/doc/perl-Net-FTP-AutoReconnect-0.3
/usr/share/doc/perl-Net-FTP-AutoReconnect-0.3/t
/usr/share/doc/perl-Net-FTP-AutoReconnect-0.3/t/00compile.t
/usr/share/man/man3/Net::FTP::AutoReconnect.3pm.gz
/usr/share/perl5/Net
/usr/share/perl5/Net/FTP
/usr/share/perl5/Net/FTP/AutoReconnect.pm
"""

This causes the package to own the directories:
/usr/share/perl/Net
and
/usr/share/perl/Net/FTP

Is this standard practice for perl modules? 

Thanks,
Richard

Comment 6 Bernard Johnson 2011-07-18 15:34:24 UTC
(In reply to comment #5)
> 1. Is there something special about having two %doc sections, one of which is
> blank?

That's an oversight that I will fix.  I quickly added a %doc on the last build but didn't notice there was an existing %doc entry.
 
> 2. Is "%{perl_vendorlib}/*" appropriate?
> Is this standard practice for perl modules? 

Yes, documented here:  http://fedoraproject.org/wiki/Packaging:Perl#Directory_Ownership

Comment 7 Richard Shaw 2011-07-19 14:05:22 UTC
+: OK
-: must be fixed
=: should be fixed (at your discretion)
?: Question or clairification needed
N: not applicable

MUST:
[+] rpmlint output: shown in comment: No warnings or errors.
[+] follows package naming guidelines
[+] spec file base name matches package name
[+] package meets the packaging guidelines
[+] package uses a Fedora approved license: GPL+ or Artistic
[+] license field matches the actual license.
[N] license file is included in %doc
[+] spec file is in American English
[+] spec file is legible
[+] sources match upstream: md5sums match (0e25887641efe59b6fd2dd6964fb77a7)
[+] package builds on at least one primary arch: Tested F14
[N] appropriate use of ExcludeArch
[+] all build requirements in BuildRequires
[N] spec file handles locales properly
[N] ldconfig in %post and %postun
[+] no bundled copies of system libraries
[N] no relocatable packages
[+] package owns all directories that it creates
[+] no files listed twice in %files
[+] proper permissions on files
[+] consistent use of macros
[+] code or permissible content
[N] large documentation in -doc
[+] no runtime dependencies in %doc
[N] header files in -devel
[N] static libraries in -static
[N] .so in -devel
[N] -devel requires main package
[+] package contains no libtool archives
[N] package contains a desktop file, uses desktop-file-install/validate
[+] package does not own files/dirs owned by other packages
[+] all filenames in UTF-8

SHOULD:
[N] query upstream for license text
[N] description and summary contains available translations
[+] package builds in mock
[+] package builds on all supported arches
[?] package functions as described: Provides requirement for BackupPC
[+] sane scriptlets
[N] subpackages require the main package
[N] placement of pkgconfig files
[N] file dependencies versus package dependencies
[N] package contains man pages for binaries/scripts

*** APPROVED ***

Comment 8 Bernard Johnson 2011-07-20 04:24:57 UTC
New Package SCM Request
=======================
Package Name: perl-Net-FTP-AutoReconnect
Short Description: This is a FTP client class with automatic reconnect on failure.
Owners: bjohnson
Branches: f14, f15, el5, el6
InitialCC: perl-sig

Comment 9 Gwyn Ciesla 2011-07-20 10:03:54 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2011-07-21 03:25:00 UTC
perl-Net-FTP-AutoReconnect-0.3-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Net-FTP-AutoReconnect-0.3-3.fc14

Comment 11 Fedora Update System 2011-07-21 03:26:04 UTC
perl-Net-FTP-AutoReconnect-0.3-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-Net-FTP-AutoReconnect-0.3-3.fc15

Comment 12 Fedora Update System 2011-07-21 03:27:29 UTC
perl-Net-FTP-AutoReconnect-0.3-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-Net-FTP-AutoReconnect-0.3-3.el5

Comment 13 Fedora Update System 2011-07-21 03:27:38 UTC
perl-Net-FTP-AutoReconnect-0.3-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Net-FTP-AutoReconnect-0.3-3.el6

Comment 14 Fedora Update System 2011-07-22 19:28:54 UTC
perl-Net-FTP-AutoReconnect-0.3-3.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 15 Fedora Update System 2011-08-02 01:54:50 UTC
perl-Net-FTP-AutoReconnect-0.3-3.fc15 has been pushed to the Fedora 15 stable repository.

Comment 16 Fedora Update System 2011-08-02 02:10:10 UTC
perl-Net-FTP-AutoReconnect-0.3-3.fc14 has been pushed to the Fedora 14 stable repository.

Comment 17 Fedora Update System 2011-08-09 21:58:24 UTC
perl-Net-FTP-AutoReconnect-0.3-3.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 18 Fedora Update System 2011-08-09 21:58:59 UTC
perl-Net-FTP-AutoReconnect-0.3-3.el5 has been pushed to the Fedora EPEL 5 stable repository.

Comment 19 Bernard Johnson 2014-08-22 02:30:55 UTC
Package Change Request
======================
Package Name: perl-Net-FTP-AutoReconnect
New Branches: epel7
Owners: bjohnson
InitialCC: perl-sig

Comment 20 Gwyn Ciesla 2014-08-22 12:14:51 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.